Skip to main content
GET
/
organizations
/
users
List Users
curl --request GET \
  --url https://api-sandbox.y.uno/v1/organizations/users \
  --header 'PRIVATE-SECRET-KEY: <api-key>' \
  --header 'PUBLIC-API-KEY: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "account_permissions": [
        {
          "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "role_id": "<string>"
        }
      ],
      "account_group_permissions": [
        {
          "account_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "role_id": "<string>"
        }
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "page": 123,
    "page_size": 123,
    "total_items": 123,
    "total_pages": 123,
    "has_next": true,
    "has_previous": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.y.uno/llms.txt

Use this file to discover all available pages before exploring further.

Lists all users belonging to the authenticated organization. You can optionally filter the results by account group or account ID.

Authorizations

PUBLIC-API-KEY
string
header
default:<Your PUBLIC-API-KEY>
required
PRIVATE-SECRET-KEY
string
header
default:<Your PRIVATE-SECRET-KEY>
required

Query Parameters

account_group_id
string<uuid>

Filter by account group.

account_id
string<uuid>

Filter by account.

page
integer
default:1

Page number.

page_size
integer
default:20

Page size.

Required range: x <= 100

Response

200 - application/json

OK

data
object[]
pagination
object